#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	File
%define		pnam	Sync
Summary:	File::Sync - Perl access to fsync() and sync() function calls
Summary(pl.UTF-8):	File::Sync - dostęp z Perla do funkcji fsync() i sync()
Name:		perl-File-Sync
Version:	0.11
Release:	14
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8bb0966ff3458699c02fde3d5c799824
URL:		http://search.cpan.org/dist/File-Sync/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Sync module provides Perl access to fsync() and sync() function
calls.

%description -l pl.UTF-8
Moduł File::Sync umożliwia dostęp do funkcji fsync() i sync() z
poziomu Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/File/Sync.pm
%dir %{perl_vendorarch}/auto/File/Sync
%{perl_vendorarch}/auto/File/Sync/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/File/Sync/Sync.so
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-Sync.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> ca81ba8
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 23b0f09
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 53ecfc4
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 82f4f49
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> da53c40
- rebuild with perl 5.30.0
- release 11 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> f1e1377
- release 10

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a81f1c3
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8c60e5e
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 4899128
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0cfd177
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8d084b3
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 1dc29f3
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f6548f1
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9104ac3
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 483e704
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> eeee2c3
- up to 0.11

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 9da8b4e
- rel 12

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 92d3aba
- release 11

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1596621
- release 10

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> e6d66cd
- release 9

